> For the complete documentation index, see [llms.txt](https://docs.logilica.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.logilica.com/advanced/datastudio-data-model/models/coveragecommit.md).

# Coverage Commit

## Description

Metrics relating to testing coverage by commit.

## Measures

| Name                                 | Title                   | Description                                     |
| ------------------------------------ | ----------------------- | ----------------------------------------------- |
| `CoverageCommit.count`               | Count                   | The number of the coverage commits.             |
| `CoverageCommit.minTotalLinesOfCode` | Min Total Lines of Code | Smallest amount of total lines of code covered. |
| `CoverageCommit.maxTotalLinesOfCode` | Max Total Lines of Code | Largest amount of total lines of code covered.  |
| `CoverageCommit.avgTotalLinesOfCode` | Avg Total Lines of Code | Average lines of code covered.                  |
| `CoverageCommit.minHits`             | Min Hits                | Minimum number of fully covered lines.          |
| `CoverageCommit.maxHits`             | Max Hits                | Maximum number of fully covered lines.          |
| `CoverageCommit.avgHits`             | Avg Hits                | Average number of fully covered lines.          |
| `CoverageCommit.minPartials`         | Min Partials            | Minimum number of partially covered lines.      |
| `CoverageCommit.maxPartials`         | Max Partials            | Maximum number of partially covered lines.      |
| `CoverageCommit.avgPartials`         | Avg Partials            | Average number of partially covered lines.      |
| `CoverageCommit.minMiss`             | Min Miss                | Minimum number of uncovered lines.              |
| `CoverageCommit.maxMiss`             | Max Miss                | Maximum number of uncovered lines.              |
| `CoverageCommit.avgMiss`             | Avg Miss                | Average number of uncovered lines.              |
| `CoverageCommit.minCoveragePercent`  | Min Coverage Percent    | Minimum coverage percentage.                    |
| `CoverageCommit.maxCoveragePercent`  | Max Coverage Percent    | Maximum coverage percentage.                    |
| `CoverageCommit.avgCoveragePercent`  | Avg Coverage Percent    | Average coverage percentage.                    |

## Dimensions

| Name                              | Title               | Description                                                         |
| --------------------------------- | ------------------- | ------------------------------------------------------------------- |
| `CoverageCommit.id`               | Id                  | Unique identifier for this coverage commit.                         |
| `CoverageCommit.commitHash`       | Commit Hash         | Git commit hash associated with this coverage data.                 |
| `CoverageCommit.branch`           | Branch              | Git branch where this coverage commit was made.                     |
| `CoverageCommit.state`            | State               | Status of the coverage commit (e.g., complete, pending).            |
| `CoverageCommit.passedCI`         | Passed Ci           | Indicates whether this coverage commit passed CI.                   |
| `CoverageCommit.totalLinesOfCode` | Total Lines of Code | Total number of lines of code in this coverage commit.              |
| `CoverageCommit.hits`             | Hits                | Number of lines fully covered by tests in this coverage commit.     |
| `CoverageCommit.partials`         | Partials            | Number of lines partially covered by tests in this coverage commit. |
| `CoverageCommit.miss`             | Miss                | Number of lines missed by tests in this coverage commit.            |
| `CoverageCommit.coveragePercent`  | Coverage Percent    | Percentage of code covered by tests in this coverage commit.        |
| `CoverageCommit.timeInterval`     | Commit Timestamp    | Timestamp of when this coverage commit was made.                    |

## Connected Cubes

All fields belonging to the following cubes are also reachable from CoverageCommit:

* [Contributor](/advanced/datastudio-data-model/models/contributor.md)
* [Team](/advanced/datastudio-data-model/models/team.md)
* [Coverage Commit](/advanced/datastudio-data-model/models/coveragecommit.md)
* [Coverage Custom Fields](/advanced/datastudio-data-model/models/coveragecustomfield.md)
* [Coverage File](/advanced/datastudio-data-model/models/coveragefile.md)
* [Coverage Labels](/advanced/datastudio-data-model/models/coveragelabel.md)
* [Coverage Test Result](/advanced/datastudio-data-model/models/coveragetestresult.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.logilica.com/advanced/datastudio-data-model/models/coveragecommit.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
